"use strict";

var ReferenceGenome = require('../../../../main/js/map/data/ReferenceGenome');
var assert = require('assert');

describe('ReferenceGenome', function () {
  describe("constructor", function () {
    it("full", function () {
      var data = {
        type: "TYP",
        version: "v3",
        localUrl: "http://google.pl/",
        sourceUrl: "http://google.pl/"
      };
      var genome = new ReferenceGenome(data);
      assert.equal(genome.getType(), data.type);
      assert.equal(genome.getVersion(), data.version);
      assert.equal(genome.getUrl(), data.localUrl);
      assert.equal(genome.getGeneMappings().length, 0);
    });
    it("simple", function () {
      var data = {
        sourceUrl: "http://google.pl/",
        geneMapping: [{}]
      };
      var genome = new ReferenceGenome(data);
      assert.equal(genome.getUrl(), data.sourceUrl);
      assert.equal(genome.getGeneMappings().length, 1);
    });

    it("empty argument", function () {
      var genome = new ReferenceGenome();
      assert.ok(genome);
    });

    it("null argument", function () {
      var genome = new ReferenceGenome(null);
      assert.ok(genome);
    });

  });


});
